Updated to work with gnome-shell 3.16.1

How to install

sudo dnf upgrade --advisory=FEDORA-2015-7806

This update has been submitted for testing by lmacken.

6 years ago

Taskotron: depcheck test PASSED on i386. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/67562/steps/runtask/logs/stdio (results are informative only)

Taskotron: depcheck test PASSED on x86_64. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/67562/steps/runtask/logs/stdio (results are informative only)

This update is currently being pushed to the Fedora 22 testing updates repository.

6 years ago

This update is currently being pushed to the Fedora 22 testing updates repository.

6 years ago

This update has been pushed to testing

6 years ago
User Icon robatino commented & provided feedback 6 years ago
karma

Works with 3.16.1 (though 3.16.2 is coming soon so it probably won't for long).

User Icon renault commented & provided feedback 6 years ago
karma

No issue with this update

This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes

6 years ago
User Icon pnemade provided feedback 6 years ago
karma

This update has reached the stable karma threshold and will be pushed to the stable updates repository

6 years ago

Taskotron: upgradepath test PASSED on noarch. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/69920/steps/runtask/logs/stdio (results are informative only)

User Icon robatino commented & provided feedback 6 years ago
karma

Just broke since gnome-shell-3.16.2 was pushed to updates-testing. You could obsolete this and push an updated version.

How does it break? I talked to fmuellner, the gnome-shell maintainer the other day and he said that the extension version check ignores micro versions for stable releases (such as 3.16.x).

Ahh, I see now. It should probably have "shell-version": [ "3.16" ] in the metadata.json file, which should cover any micro versions from the 3.16.x series without needing rebuild each time the shell is updated.

Verified that it works using "3.16". Also see https://bugzilla.redhat.com/show_bug.cgi?id=1045669#c54 .

Also verified that in Rawhide (currently with gnome-shell-3.17.1) replacing "3.17.1" with "3.17" does NOT work, so the unstable version must be exact.

This update is currently being pushed to the Fedora 22 stable updates repository.

6 years ago

This update is currently being pushed to the Fedora 22 stable updates repository.

6 years ago

This update has been pushed to stable

6 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
6 years ago
in testing
6 years ago
in stable
6 years ago
BZ#1045669 Extension does not support shell version
0
0

Automated Test Results